| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMDocumentRange Class Reference

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification. More...

`#include <DOMDocumentRange.hpp>`

Inheritance diagram for DOMDocumentRange

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMDocumentRange ()
| Destructor.
Functions introduced in DOM Level 2
virtual DOMRange* | createRange ()=0
| To create the range consisting of boundary-points and offset of the selected contents. More...

## Protected Methods

Hidden constructors
| DOMDocumentRange ()
| DOMDocumentRange (const DOMDocumentRange &)
DOMDocumentRange& | operator= (const DOMDocumentRange &)

## Detailed Description

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  DOM Level 2

## Constructor & Destructor Documentation

DOMDocumentRange::DOMDocumentRange ( | )`[protected]`

DOMDocumentRange::DOMDocumentRange ( | const DOMDocumentRange & )`[protected]`

DOMDocumentRange::~DOMDocumentRange ( | )`[virtual]`

| Destructor.

## Member Function Documentation

DOMRange * DOMDocumentRange::createRange ( | )`[pure virtual]`

To create the range consisting of boundary-points and offset of the selected contents.

Returns:
  The initial state of the Range such that both the boundary-points are positioned at the beginning of the corresponding DOMDOcument, before any content. The range returned can only be used to select content associated with this document, or with documentFragments and Attrs for which this document is the ownerdocument

Since:
  DOM Level 2

DOMDocumentRange & DOMDocumentRange::operator= ( | const DOMDocumentRange & )`[protected]`

The documentation for this class was generated from the following file:

- DOMDocumentRange.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.